Module
Contents
Index 🔎︎

# Text Functions

This section contains descriptions of the Text functions.

Tene hajajo injeesate...

Surki - Assishsha - Fuula Borro

## REGEX

Matches and extracts or optionally replaces text using regular expressions.

## WEBSERVICE

Get some web content from a URI.

## FILTERXML

Apply a XPath expression to a XML document.

## ENCODEURL

Returns a URL-encoded string.

## ARABIC

Roomu kiiro hornya shallaganno. Hornyote hakka geeshshi 0 nna 3999 mereero ikka noosi.

### Syntax

ARABIC("Borro")

Text is the text that represents a Roman number.

### Example

=ARABIC("MXIV") returns 1014

=ARABIC("MMII") returns 2002

## ASC

ASC assiishshi wo'ma-baqo bocu-baqora ASCII nna fikiimootu gaamora soorranno. Borrote naanni fikiima qolanno.

See https://wiki.documentfoundation.org/Calc/Features/JIS_and_ASC_functions for a conversion table.

### Syntax

ASC("Borro")

Text is the text that contains characters to be converted.

Qolte JIS asiishsha lai.

## BAHTTEXT

Kiiro Thai borrora, Thai womaashshi su'minni ledo soorri.

### Syntax

BAHTTEXT(Kiiro)

Number is any number. "Baht" is appended to the integral part of the number, and "Satang" is appended to the decimal part of the number.

### Example

=BAHTTEXT(12.65) returns a string in Thai characters with the meaning of "Twelve Baht and sixty five Satang".

## BASE

kiirote amuraatinni wiinni pooseetive intigere baxxino kaimi borrote giddora soorranno. Digiitubba 0-9 nna fidalla A-Z horoonsi'nanni.

### Syntax

Kaima(Kiiro; Radaakise; [MinimumLength])

Number is the positive integer to be converted.

Radix indicates the base of the number system. It may be any positive integer between 2 and 36.

MinimumLength (optional) determines the minimum length of the character sequence that has been created. If the text is shorter than the indicated minimum length, zeros are added to the left of the string.

### Example

=BASE(17;10;4) returns 0017 in the decimal system.

=BASE(17;2) returns 10001 in the binary system.

=BASE(255;16;4) returns 00FF in the hexadecimal system.

## CHAR

muli kooddete shae garinnikiiro fikiimaho soorranno. Kiiro lame-dijiite woy sase-dijiite intigere kiiro ikka dandiitanno.

127 kiiro aleenni noo kooduwa amuraatu fikiima galchi aana irkiranno( Lawishshaho iso-8859-1, iso-8859-2, Xullaalluwa-1252, Xullaalluwa-1250), Kunni daafira milleessa didandiinanni.

### Syntax

CHAR(kiiro)

Number is a number between 1 and 255 representing the code value for the character.

### Example

=CHAR(100) returns the character d.

="abc" & CHAR(10) & "def" haaroo xuruuri fikiima naanni fikiimu giddora surkanno.

## CLEAN

Attamaminokki fikiimoota baalu naanni fikiimuwiinni baino.

### Syntax

Co'ITTE("Borro")

Text refers to the text from which to remove all non-printable characters.

## CODE

Borrote naanni fikiimi giddo umi fikiimira kiirote koodde qolanno.

### Syntax

CODE("Borro")

Text is the text for which the code of the first character is to be found.

127 kiiro aleenni noo kooduwa amuraatu fikiima galchi aana irkiranno( Lawishshaho iso-8859-1, iso-8859-2, Xullaalluwa-1252, Xullaalluwa-1250), Kunni daafira milleessa didandiinanni.

### Example

=CODE("Hieronymus") returns 72, =CODE("hieroglyphic") returns 104.

Konne horoonsi'noonni koodde ASCII dikultanno, ikkollana kooddete shae muli yannanni hogowantino.

## CONCATENATE

Batinye borrote naanni fikiimoota mittu naanni fikiimira xaadisanno.

### Syntax

CONCATENATE("Borro1"; ...; "Borro30")

Text 1; Text 2; ... represent up to 30 text passages which are to be combined into one string.

### Example

=CONCATENATE("Good ";"Morning ";"Mrs. ";"Doe") returns: Good Morning Mrs. Doe.

## DECIMAL

borro fikiimootu ledo kiirote amuraate wiinni uyinoonni Radakise kaimi giddo poseetiive intigerera soorranno. Radaakise 2 kayiisse 36 hakka geeshshi giddo ikka noose. borro bare lowo geeshsha dihasiissannote.

Radaakise 16 ikkituro, massagaancho x woy X woy 0x woy 0X, nna ledama h woy H, is dila"antanno. Radaakise 2 ikkituro, b woy B ledama dila"antanno. Wolootu Fikiimooti kiirote amuraati so'ro kalaqama ledo difiixoomanno.

### Syntax

TONNISHSHU("Borro"; Radaakise)

Text is the text to be converted. To differentiate between a hexadecimal number, such as A1 and the reference to cell A1, you must place the number in quotation marks, for example, "A1" or "FACE".

Radix indicates the base of the number system. It may be any positive integer between 2 and 36.

### Example

=DECIMAL("17";10) returns 17.

=DECIMAL("FACE";16) returns 64206.

=DECIMAL("0101";2) returns 5.

## DOLLAR

Converts a number to an amount in the currency format, rounded to a specified decimal place. In the Value field enter the number to be converted to currency. Optionally, you may enter the number of decimal places in the Decimals field. If no value is specified, all numbers in currency format will be displayed with two decimal places.

Womaashshu suude qineessokki amuraati giddo qineessi.

### Syntax

DOLLAR(hornyo; Tonnishshubba)

Value is a number, a reference to a cell containing a number, or a formula which returns a number.

Decimals is the optional number of decimal places.

### Example

=DOLLAR(255) returns $255.00.

=DOLLAR(367.456;2) returns $367.46. Use the decimal separator that corresponds to the current locale setting.

## EXACT

mittu danire ikkituro lame borrote naanni fikiimoota heewisannonna TRUE qolanno. Kuni assiishshi korkaatu huwattooti.

### Syntax

EXACT("Borro1"; "Borro2")

Text1 refers to the first text to compare.

Text2 is the second text to compare.

### Example

=EXACT("microsystems";"Microsystems") returns FALSE.

## FIND

Returns the position of a string of text within another string.You can also define where to begin the search. The search term can be a number or any string of characters. The search is case-sensitive.

### Syntax

FIND("FindText"; "Borro"; ofolla)

FindText refers to the text to be found.

Text is the text where the search takes place.

Position (optional) is the position in the text from which the search starts.

### Example

=FIND(76;998877665544) returns 6.

## FIXED

Kiiro tonniishshu darguwanna doorshu kummate badaanchuwa borro gede qolanno.

### Syntax

FIXED(Number; Decimals; NoThousandsSeparators)

Number refers to the number to be formatted.

Decimals refers to the number of decimal places to be displayed.

NoThousandsSeparators (optional) determines whether the thousands separator is used. If the parameter is a number not equal to 0, the thousands separator is suppressed. If the parameter is equal to 0 or if it is missing altogether, the thousands separators of your current locale setting are displayed.

### Example

=FIXED(1234567.89;3) returns 1,234,567.890 as a text string.

=FIXED(1234567.89;3;1) returns 1234567.890 as a text string.

## JIS

The JIS assiishshi wo'ma-baqo bocu-baqora ASCII nna fikiimootu gaamora soorranno. Borrote naanni fikiima qolanno.

See https://wiki.documentfoundation.org/Calc/Features/JIS_and_ASC_functions for a conversion table.

### Syntax

JIS("Borro")

Text is the text that contains characters to be converted.

Qolteno ASC assiishsha lai.

## LEFT

Borronniha umi fikiimoota woy fikiima qolanno.

### Syntax

LEFT("Borro"; Kiiro)

Text is the text where the initial partial words are to be determined.

Number (optional) specifies the number of characters for the start text. If this parameter is not defined, one character is returned.

### Example

=LEFT("output";3) returns “out”.

## LEFTB

Returns the first characters of a DBCS text.

### Syntax

LEFTB("Text"; Number_bytes)

Text is the text where the initial partial words are to be determined.

Number_bytes (optional) specifies the number of characters you want LEFTB to extract, based on bytes. If this parameter is not defined, one character is returned.

### Example

LEFTB("中国";1) returns " " (1 byte is only half a DBCS character and a space character is returned instead).

LEFTB("中国";2) returns "中" (2 bytes constitute one complete DBCS character).

LEFTB("中国";3) returns "中 " (3 bytes constitute one DBCS character and a half; the last character returned is therefore a space character).

LEFTB("中国";4) returns "中国" (4 bytes constitute two complete DBCS characters).

LEFTB("office";3) returns "off" (3 non-DBCS characters each consisting of 1 byte).

## LEN

naanni fikiimu hojja fooquwate ledo qolanno.

### Syntax

LEN("Borro")

Text is the text whose length is to be determined.

### Example

=LEN("Good Afternoon") returns 14.

=LEN(12345.67) returns 8.

## LENB

For double-byte character set (DBCS) languages, returns the number of bytes used to represent the characters in a text string.

### Syntax

LENB("Text")

Text is the text whose length is to be determined.

### Example

LENB("中") returns 2 (1 DBCS character consisting of 2 bytes).

LENB("中国") returns 4 (2 DBCS characters each consisting of 2 bytes).

LENB("office") returns 6 (6 non-DBCS characters each consisting of 1 byte).

=LENB("Good Afternoon") returns 14.

=LENB(12345.67) returns 8.

## LOWER

borrote naanni fikiimi giddo jajjabba fidalla baala shiimmaaddate soorranno.

### Syntax

LOWER("Borro")

Text refers to the text to be converted.

### Example

=LOWER("Sun") returns sun.

## MID

borronniha borrote naanni fikiima qolanno. Eishshuwa hanafote ofollanna fikiimootu kiiro baddanno.

### Syntax

MID("Borro"; hanafo; Kiiro)

Text is the text containing the characters to extract.

Start is the position of the first character in the text to extract.

Number specifies the number of characters in the part of the text.

### Example

=MID("office";2;2) returns ff.

## MIDB

Returns a text string of a DBCS text. The parameters specify the starting position and the number of characters.

### Syntax

MIDB("Text"; Start; Number_bytes)

Text is the text containing the characters to extract.

Start is the position of the first character in the text to extract.

Number_bytes specifies the number of characters MIDB will return from text, in bytes.

### Example

MIDB("中国";1;0) returns "" (0 bytes is always an empty string).

MIDB("中国";1;1) returns " " (1 byte is only half a DBCS character and therefore the result is a space character).

MIDB("中国";1;2) returns "中" (2 bytes constitute one complete DBCS character).

MIDB("中国";1;3) returns "中 " (3 bytes constitute one and a half DBCS character; the last byte results in a space character).

MIDB("中国";1;4) returns "中国" (4 bytes constitute two complete DBCS characters).

MIDB("中国";2;1) returns " " (byte position 2 is not at the beginning of a character in a DBCS string; 1 space character is returned).

MIDB("中国";2;2) returns " " (byte position 2 points to the last half of the first character in the DBCS string; the 2 bytes asked for therefore constitutes the last half of the first character and the first half of the second character in the string; 2 space characters are therefore returned).

MIDB("中国";2;3) returns " 国" (byte position 2 is not at the beginning of a character in a DBCS string; a space character is returned for byte position 2).

MIDB("中国";3;1) returns " " (byte position 3 is at the beginning of a character in a DBCS string, but 1 byte is only half a DBCS character and a space character is therefore returned instead).

MIDB("中国";3;2) returns "国" (byte position 3 is at the beginning of a character in a DBCS string, and 2 bytes constitute one DBCS character).

MIDB("office";2;3) returns "ffi" (byte position 2 is at the beginning of a character in a non-DBCS string, and 3 bytes of a non-DBCS string constitute 3 characters).

## PROPER

borrote naanni fikiimi giddo baala qaallara umi fidale jawisanno.

### Syntax

QIXXAAWOTE("Borro")

Text refers to the text to be converted.

### Example

=PROPER("open office") returns Open Office.

## REPLACE

Borrote naanni fikiimi biso babbaxitino borro naanni fikiimira riqiwanno. Kuni assiishshi lamenta fikiimootanna kiirra (umi loosaanchinni borrote soorrantinota)riqiwate kaa'la dandaanno. Asiishshu gumi duucha wote borrote gede leellanno. Borrotenni riqiwantino kiironni shallagate looso loosa hasirittoro, Hornyo assiishsha horoonsidhe badhera kiirote soorra hasiissanno.

Any text containing numbers must be enclosed in quotation marks kiirote gede karsannaumi loosaanchinni borrote widira soorra hasira hoogittoro ayee borro amaddino kiiro bicammete malaati giddo cufama noose.

### Syntax

Riqiwi("Borro"; Ofolla; Hojja; "HaarooBorro")

Text refers to text of which a part will be replaced.

Position refers to the position within the text where the replacement will begin.

Length is the number of characters in Text to be replaced.

NewText refers to the text which replaces Text.

### Example

=REPLACE("1234567";1;1;"444") returns "444234567". One character at position 1 is replaced by the complete NewText.

## REPT

Aamantino kiiro hinkiilubba fikiimu naanni fikiima marro qoli.

### Syntax

REPT("Borro"; Kiiro)

Text is the text to be repeated.

Number is the number of repetitions.

Jawu gumu 255 fikiimoota ikks dandaanno.

### Example

=REPT("Good morning";2) returns Good morningGood morning.

## RIGHT

Borronniha goofimarchu fikiima woy fikiimoota qolanno.

### Syntax

RIGHT("Borro"; Kiiro)

Text is the text of which the right part is to be determined.

Number (optional) is the number of characters from the right part of the text.

### Example

=RIGHT("Sun";2) returns un.

## RIGHTB

Returns the last character or characters of a text with double bytes characters sets (DBCS).

### Syntax

RIGHTB("Text"; Number_bytes)

Text is the text of which the right part is to be determined.

Number_bytes (optional) specifies the number of characters you want RIGHTB to extract, based on bytes.

### Example

RIGHTB("中国";1) returns " " (1 byte is only half a DBCS character and a space character is returned instead).

RIGHTB("中国";2) returns "国" (2 bytes constitute one complete DBCS character).

RIGHTB("中国";3) returns " 国" (3 bytes constitute one half DBCS character and one whole DBCS character; a space is returned for the first half).

RIGHTB("中国";4) returns "中国" (4 bytes constitute two complete DBCS characters).

RIGHTB("office";3) returns "ice" (3 non-DBCS characters each consisting of 1 byte).

## ROMAN

kiiro Roomaanete kiirora soorranno. Hornyu hakka geeshshi 0 nna 3999 mereero ikka noosi, garubba 0 nni 4 geeshshi intigere ikka dandiitanno.

### Syntax

Romaane(kiiro; Gara)

Number is the number that is to be converted into a Roman numeral.

Mode (optional) indicates the degree of simplification. The higher the value, the greater is the simplification of the Roman number.

### Example

=ROMAN(999) returns CMXCIX

=ROMAN(999;0) returns CMXCIX

=ROMAN (999;1) returns LMVLIV

=ROMAN(999;2) returns XMIX

=ROMAN(999;3) returns VMIV

=ROMAN(999;4) returns IM

## SEARCH

Returns the position of a text segment within a character string. You can set the start of the search as an option. The search text can be a number or any sequence of characters. The search is not case-sensitive. If the text is not found, returns error 519 (#VALUE).

The search supports regular expressions. You can enter "all.*", for example to find the first location of "all" followed by any characters. If you want to search for a text that is also a regular expression, you must precede every character with a "\" character. You can switch the automatic evaluation of regular expression on and off in LibreOffice - Preferences Tools - Options
- LibreOffice Calc - Calculate.

### Syntax

SEARCH("FindText"; "Borro"; ofolla)

FindText is the text to be searched for.

Text is the text where the search will take place.

Position (optional) is the position in the text where the search is to start.

### Example

=SEARCH(54;998877665544) returns 10.

## SUBSTITUTE

Naanni fikiimu giddo haaroo borro akalate riqiwanno.

### Syntax

SUBSTITUTE("Borro"; "SearchText"; "NewText"; kalaqamme)

Text is the text in which text segments are to be exchanged.

SearchText is the text segment that is to be replaced (a number of times).

NewText is the text that is to replace the text segment.

Occurrence (optional) indicates which occurrence of the search text is to be replaced. If this parameter is missing the search text is replaced throughout.

### Example

=SUBSTITUTE("123123123";"3";"abc") returns 12abc12abc12abc.

=SUBSTITUTE("123123123";"3";"abc";2) returns 12312abc123.

## T

Kuni assiishshi hasi'noonni borro, woy haso borro ikka hoogguro fano borrote naanni fikiima qolanno.

### Syntax

T(Hornyo)

Hornyo borrote naanni fikiimaati woy borrote naanni fikiima ikkituro, T borrote naanni fikiima qoltanno; ikka hoogiro fano borrote naanni fikiima qoltanno.

### Example

=T(12345) returns an empty string.

=T("12345") returns the string 12345.

## TEXT

Aamamino suudishshi garinni kiiro borrote soorranno.

### Syntax

Borro(Kiiro; Suudishsha)

Number is the numerical value to be converted.

Format is the text which defines the format. Use decimal and thousands separators according to the language set in the cell format.

### Example

=TEXT(12.34567;"###.##") returns the text 12.35

=TEXT(12.34567;"000.00") returns the text 012.35

See also Number format codes: custom format codes defined by the user.

## TRIM

Naanni fikiimu foonqe huna, qaallate mereero tircho fooqa calla agura.

### Syntax

Murate("Borro")

Text refers to text in which spaces are to be removed.

### Example

=TRIM(" hello world ") returns hello world without leading and trailing spaces and with single space between words.

## UNICHAR

garu kiiro mittu gari fikiimira woy fidalera soorranno.

### Syntax

UNICHAR(number)

### Example

=UNICHAR(169) ©Hinkiilu qoosso fikiima qolanno.

See also the UNICODE() function.

## UNICODE

borrote naanni fikiimi giddo umi mittu gari fikiimira kiirote gara qolanno.

### Syntax

UNICODE("Text")

### Example

=UNICODE("©") mittu gari kiiro 169 hinkiiliqoosso fikiimira qolanno.

See also the UNICHAR() function.

## UPPER

borro bare giddo bandoonni naanni fikiima jawiidi fidallara soorranno.

### Syntax

JAWIIDI("Borro")

Text refers to the lower case letters you want to convert to upper case.

### Example

=UPPER("Good Morning") returns GOOD MORNING.

## VALUE

borrote naanni fikiima kiirote widira soorranno.

### Syntax

VALUE("Borro")

Text is the text to be converted to a number.

### Example

=VALUE("4321") returns 4321.

Fiixoo'mino umo

Functions by Category